<script setup lang="ts">
import MainHeader from "@/components/organisms/header/MainHeader.vue";
import Flex from "@/components/atoms/container/Flex.vue";
import Footer from "@/components/atoms/footer/Footer.vue";
import Snackbar from "@/components/organisms/toast/Snackbar.vue";

defineProps({
  noPadding: Boolean
})

</script>

<template>
  <MainHeader/>

  <Flex class="grow" :class="noPadding ? '' : 'p-6'">
    <slot/>
    <Snackbar/>
  </Flex>

  <Footer/>
</template>
